/*
 *    rread.x
 */

const MAX_FILE_NAME = 64;
const MAX_DATA = 1024;

struct read_request {
	string filename<MAX_FILE_NAME>;
	int start_location;
	int how_many;
};

union read_results switch (int status) {
	case 0:
		opaque filedata<MAX_DATA>;
	default:
		void;
};

struct write_request {
	string filename<MAX_FILE_NAME>;
	int start_location;
	int how_many;
	opaque filedata<MAX_DATA>;
};

union write_results switch (int status) {
	case 0:
		int how_many;
	default:
		void;
};

program READ_PROG {
	version READ_VERS {
		read_results READ(read_request) = 1;
		write_results WRITE(write_request) = 2;
	} = 1;
} = 0x200010f5;
